<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
               "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>refine, saps</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
a {
	color: blue; 
	cursor: pointer;
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	text-decoration: none;
	font-size: 10pt;
}

a:visited {
	color: blue; 
	cursor: pointer;
	font-weight: normal;
	font-style: italic;
	text-decoration: underline;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
}


h1 {
	color: black; 
	font-weight: bold;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

h2 {
	color: black; 
	font-weight: bold;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

p {
	color: black; 
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

.also {
	color: black; 
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

li {
	color: black; 
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

.e {
	color: red; 
	font-style: italic;
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}

.v {
	color: red; 
	font-style: normal;
	font-weight: bold;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
	margin-bottom:10px;
}


PRE {
	margin:0px;
	display:inline
}

td {
	color: black; 
	font-weight: normal;
	font-family: Verdana, Arial, Helvetica,sans-serif;
	font-size: 10pt;
}
</style>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table>
<tr>
<td align="left" valign="top"><h1>refine, saps</h1>
<h2>Syntax</h2>
<p>The parameter can have the values <span class="v">yes</span> or <span class="v">no</span>.</p>
<h2>Notes</h2>
<ol>
<li>No error message is generated when an uninterpretable value is entered for this parameter.</li>
<li>If no value is set, the default value is <span class="v">yes</span>.</li>
<li>This option was introduced in X! Tandem and P3 in version 2007.04.01.</li>
</ol>
<h2>Description</h2>
<p>When this parameter is set to <span class="v">yes</span>, a list of known potential single amino
acid polymorphisms is checked for each peptide residue considered in the first round of modelling. The default
lists are based on known coding non-synonymous single nucleotide polymorphisms derived from the SNP annotations
in ENSEMBL: the amino acid consequence of a nsSNP is commonly referred to as a snAPs. 
The annotation file format is the same as the file format used to annotate mutations in GPM
BIOML files, for example:</p>
<pre>
&lt;?xml version=&quot;1.0&quot;?&gt;
&lt;bioml label=&quot;human sap listing, 2007.04.01, for ENSEMBL human, version 43&quot;&gt;
&lt;protein id=&quot;ENSP00000286809&quot;&gt;
	&lt;aa id=&quot;rs686364&quot; at=&quot;151&quot; type=&quot;S&quot; mut=&quot;P&quot; /&gt;
	&lt;aa id=&quot;rs685967&quot; at=&quot;129&quot; type=&quot;T&quot; mut=&quot;A&quot; /&gt;
	&lt;aa id=&quot;rs1557294&quot; at=&quot;25&quot; type=&quot;T&quot; mut=&quot;A&quot; /&gt;
&lt;/protein&gt;
&lt;protein id=&quot;ENSP00000372288&quot;&gt;
	&lt;aa id=&quot;rs8127420&quot; at=&quot;40&quot; type=&quot;S&quot; mut=&quot;P&quot; /&gt;
&lt;/protein&gt;
...
&lt;protein id=&quot;ENSP00000373050&quot;&gt;
	&lt;aa id=&quot;rs17002888&quot; at=&quot;1325&quot; type=&quot;S&quot; mut=&quot;N&quot; /&gt;
	&lt;aa id=&quot;rs17002890&quot; at=&quot;1165&quot; type=&quot;M&quot; mut=&quot;I&quot; /&gt;
	&lt;aa id=&quot;rs5758651&quot; at=&quot;722&quot; type=&quot;S&quot; mut=&quot;G&quot; /&gt;
	&lt;aa id=&quot;rs1064961&quot; at=&quot;681&quot; type=&quot;G&quot; mut=&quot;V&quot; /&gt;
	&lt;aa id=&quot;rs6002656&quot; at=&quot;485&quot; type=&quot;T&quot; mut=&quot;N&quot; /&gt;
	&lt;aa id=&quot;rs34030679&quot; at=&quot;405&quot; type=&quot;M&quot; mut=&quot;V&quot; /&gt;
	&lt;aa id=&quot;rs4484130&quot; at=&quot;10&quot; type=&quot;Y&quot; mut=&quot;F&quot; /&gt;
&lt;/protein&gt;
&lt;note&gt;Total SAPS: 138704&lt;/note&gt;
&lt;note&gt;Created from: human_saps.txt&lt;/note&gt;
&lt;note&gt;Original name: human_saps.xml&lt;/note&gt;
&lt;/bioml&gt;
</pre> 
<p>You can check <a href="ftp://ftp.thegpm.org/fasta/ENSEMBL/saps">GPM SAP repository</a> for latest
versions of these annoation files for ENSEMBL species. Please be aware that these files can be quite large and they may
cause problems when they are opened by HTML WWW browsers. If you wish to look at the details of these files, 
a text editor is usually the best choice.</p>  
<p>The search engine requires that the protein id string matches the FASTA description line string, in order
to make a one-to-one correspondence between a protein sequence and an SAP annoation. This may cause some
problems when FASTA description lines that contain more than simply the protein accession number are used.</p>
<p>The association of an SAP annotation file with a <a href="lpti.html">taxonomy key word</a> is made
using a special entry in any taxonomy file. An example for a &quot;human&quot; entry is as follows:
<pre>
	&lt;taxon label=&quot;human&quot;&gt;
		&lt;file format=&quot;peptide&quot; URL=&quot;../fasta/human.fasta.pro&quot; /&gt;
		&lt;file format=&quot;peptide&quot; URL=&quot;../fasta/human_extra.fasta&quot; /&gt;
		&lt;file format=&quot;spectrum&quot; URL=&quot;../fasta/human_fasta.hlf&quot; /&gt;
		&lt;file format=&quot;saps&quot; URL=&quot;../fasta/human_saps.xml; /&gt;
	&lt;/taxon>
</pre>
<p>Any number of SAP annotation files may be associated with any taxon entry. If no SAP annotation file is
specified or a specified file does not exist, the search will continue without failure. The X! series output
file will contain a listing of the SAP files that were actually used.
</p>
<hr align="left" width="200">
<span class="also">see also: <a href="refine.html">refine</a> | <a href="rpm.html">point mutations</a> |
<a href="lpti.html">taxonomy</a> | <a href="/TANDEM/pam.html">X! TANDEM point mutations</a>
</span>
<br><br><a href="index.html">X! TANDEM API description project</a>
</td></tr></table>
</body>
</html>
